Log subscription agent task
curl --request POST \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/subscriptions/{subscription_id}/agent_tasks \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"title": "<string>",
"description": "<string>",
"performed_at": "2023-11-07T05:31:56Z",
"outcome": "<string>",
"direction": "<string>"
}
'const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<string>',
performed_at: '2023-11-07T05:31:56Z',
outcome: '<string>',
direction: '<string>'
})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/subscriptions/{subscription_id}/agent_tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/subscriptions/{subscription_id}/agent_tasks"
payload = {
"title": "<string>",
"description": "<string>",
"performed_at": "2023-11-07T05:31:56Z",
"outcome": "<string>",
"direction": "<string>"
}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": 123,
"title": "<string>",
"status": "<string>",
"due_on": "2023-12-25",
"assignee_id": 123
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Agent Tasks
Log subscription agent task
Record a completed follow-up (call, message, visit…) against a subscription from its activity feed.
POST
/
api
/
v1
/
accounts
/
{account_id}
/
treasury
/
subscriptions
/
{subscription_id}
/
agent_tasks
Log subscription agent task
curl --request POST \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/subscriptions/{subscription_id}/agent_tasks \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"title": "<string>",
"description": "<string>",
"performed_at": "2023-11-07T05:31:56Z",
"outcome": "<string>",
"direction": "<string>"
}
'const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<string>',
performed_at: '2023-11-07T05:31:56Z',
outcome: '<string>',
direction: '<string>'
})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/subscriptions/{subscription_id}/agent_tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/subscriptions/{subscription_id}/agent_tasks"
payload = {
"title": "<string>",
"description": "<string>",
"performed_at": "2023-11-07T05:31:56Z",
"outcome": "<string>",
"direction": "<string>"
}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": 123,
"title": "<string>",
"status": "<string>",
"due_on": "2023-12-25",
"assignee_id": 123
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Authorizations
Path Parameters
ID of the subscription
The numeric ID of the account
Body
application/json
Kind of follow-up. Defaults to other.
Available options:
call, visit, follow_up, message, email, review, approve, collect, document, other Defaults to a label for the kind
When it happened. Defaults to now.
Was this page helpful?